RaisFastRaisFast

Options

Options

GET
/api/v1/admin/options

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Response Body

curl -X GET "https://example.com/api/v1/admin/options"
Empty
PUT
/api/v1/admin/options

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://example.com/api/v1/admin/options" \  -H "Content-Type: application/json" \  -d '{    "options": {      "property1": null,      "property2": null    }  }'
Empty
GET
/api/v1/admin/options/{key}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

key*string

Option key

Response Body

curl -X GET "https://example.com/api/v1/admin/options/string"
Empty
DELETE
/api/v1/admin/options/{key}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

key*string

Option key

Response Body

curl -X DELETE "https://example.com/api/v1/admin/options/string"
Empty
PUT
/api/v1/admin/options/{key}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

key*string

Option key

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

value*unknown

Response Body

curl -X PUT "https://example.com/api/v1/admin/options/string" \  -H "Content-Type: application/json" \  -d '{    "value": null  }'
Empty
curl -X GET "https://example.com/api/v1/options/public"
Empty